Package be.ehealth.businessconnector.therlink.session

# Interface TherLinkService

All Known Implementing Classes:
  `TherLinkServiceImpl`

public interface TherLinkService
The interface Therapeutic Links Service Default impl : `TherLinkServiceImpl` Factory : `TherlinkSessionServiceFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetTherapeuticLinkResponse`
  `getTherapeuticLink(GetTherapeuticLinkRequest request)`
  Get a therapeutic link
  `HasTherapeuticLinkResponse`
  `hasTherapeuticLink(HasTherapeuticLinkRequest request)`
  Check if a therapeutic link exists between the patient and healthcare party
  `PutTherapeuticLinkResponse`
  `putTherapeuticLink(PutTherapeuticLinkRequest request)`
  Put a therapeutic link
  `RevokeTherapeuticLinkResponse`
  `revokeTherapeuticLink(RevokeTherapeuticLinkRequest request)`
  Revoke a therapeutic link

- ## Method Details

  - ### putTherapeuticLink

    PutTherapeuticLinkResponse putTherapeuticLink(PutTherapeuticLinkRequest request) throws TherLinkBusinessConnectorException, TechnicalConnectorException
    Put a therapeutic link
    Parameters:
      `request` - the putTherapeuticLink request
    Returns:
      the putTherapeuticLink response
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`

  - ### getTherapeuticLink

    GetTherapeuticLinkResponse getTherapeuticLink(GetTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Get a therapeutic link
    Parameters:
      `request` - the getTherapeuticLink request
    Returns:
      the response
    Throws:
      `TherLinkBusinessConnectorException`
      `TechnicalConnectorException`

  - ### revokeTherapeuticLink

    RevokeTherapeuticLinkResponse revokeTherapeuticLink(RevokeTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Revoke a therapeutic link
    Parameters:
      `request` - the request
    Returns:
      the response
    Throws:
      `TherLinkBusinessConnectorException`
      `TechnicalConnectorException`

  - ### hasTherapeuticLink

    HasTherapeuticLinkResponse hasTherapeuticLink(HasTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Check if a therapeutic link exists between the patient and healthcare party
    Parameters:
      `request` - the request
    Returns:
      the response
    Throws:
      `TherLinkBusinessConnectorException`
      `TechnicalConnectorException`